PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel Struct Reference

`#include <solvers/optical/modal/meshadapter.hpp>`

Inheritance diagram for plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel:
[legend]
Collaboration diagram for plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel:
[legend]

## Public Member Functions
| GenericLevel (shared_ptr< const MeshD< dim > > src, double level)
size_t | index (size_t i) const override
| Unscramble indices.
double | vpos () const override
| Get level vertical position.
std::size_t | size () const override
| Get mesh size.
shared_ptr< const plask::Mesh > | mesh () const override
| Get the mesh for this level.

## Protected Attributes
std::vector< size_t > | matching
| Indices of matching points.
shared_ptr< const MeshD< dim > > | src
| Original mesh.
double | vert
| Interesting level.

## Friends
struct | LevelsAdapterGeneric< dim >::Mesh

## Detailed Description

template<int dim>
struct plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel

Definition at line 75 of file meshadapter.hpp.

## Constructor & Destructor Documentation

## ◆ GenericLevel()

template<int dim>

plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::GenericLevel | ( | shared_ptr< const MeshD< dim > > | src,
|  | double | level
| ) |  |
| inline

Definition at line 82 of file meshadapter.hpp.

## Member Function Documentation

## ◆ index()

template<int dim>

size_t plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::index | ( | size_t | i | ) | const
| override virtual

Unscramble indices.

Parameters

  i | index in the adapter

Returns
  index in the original mesh

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 19 of file meshadapter.cpp.

## ◆ mesh()

template<int dim>

shared_ptr< const plask::Mesh > plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::mesh | ( |  | ) | const
| inline override virtual

Get the mesh for this level.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 91 of file meshadapter.hpp.

## ◆ size()

template<int dim>

std::size_t plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::size | ( |  | ) | const
| inline override virtual

Get mesh size.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 90 of file meshadapter.hpp.

## ◆ vpos()

template<int dim>

double plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::vpos | ( |  | ) | const
| override virtual

Get level vertical position.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 22 of file meshadapter.cpp.

## Friends And Related Symbol Documentation

## ◆ LevelsAdapterGeneric< dim >::Mesh

template<int dim>

friend struct LevelsAdapterGeneric< dim >::Mesh
| friend

Definition at line 80 of file meshadapter.hpp.

## Member Data Documentation

## ◆ matching

template<int dim>

std::vector<size_t> plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::matching
| protected

Indices of matching points.

Definition at line 77 of file meshadapter.hpp.

## ◆ src

template<int dim>

shared_ptr<const MeshD<dim> > plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::src
| protected

Original mesh.

Definition at line 78 of file meshadapter.hpp.

## ◆ vert

template<int dim>

double plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel::vert
| protected

Interesting level.

Definition at line 79 of file meshadapter.hpp.

The documentation for this struct was generated from the following files:

- solvers/optical/modal/meshadapter.hpp
- solvers/optical/modal/meshadapter.cpp